FreeMat

- Main Page
- Related Pages

vtkRenderedRepresentation

Section: Visualization Toolkit View Classes

# Usage

To create an instance of class vtkRenderedRepresentation, simply invoke its constructor as follows

      obj = vtkRenderedRepresentation

# Methods

The class vtkRenderedRepresentation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRenderedRepresentation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRenderedRepresentation = obj.NewInstance ()`
- `vtkRenderedRepresentation = obj.SafeDownCast (vtkObject o)`
- `obj.SetLabelRenderMode (int )` - Set the label render mode. vtkRenderView::QT - Use Qt-based labeler with fitted labeling and unicode support. Requires VTK_USE_QT to be on. vtkRenderView::FREETYPE - Use standard freetype text rendering.
- `int = obj.GetLabelRenderMode ()` - Set the label render mode. vtkRenderView::QT - Use Qt-based labeler with fitted labeling and unicode support. Requires VTK_USE_QT to be on. vtkRenderView::FREETYPE - Use standard freetype text rendering.